# QwtEventPattern::KeyPattern Class Reference

A pattern for key events. More...

`#include <qwt_event_pattern.h>`

List of all members.

## Public Member Functions

| KeyPattern (int k=0, int st=Qt::NoButton)

## Public Attributes

int | key
int | state

## Detailed Description

A pattern for key events.

## Constructor & Destructor Documentation

QwtEventPattern::KeyPattern::KeyPattern | ( | int | k = `0`,
|  | int | st = `Qt::NoButton`
| ) |  | `[inline]`

Constructor.

## Member Data Documentation

int QwtEventPattern::KeyPattern::key

Key code.

int QwtEventPattern::KeyPattern::state

State.